<?php
/**
 * @file
 * Default rules configuration.
 */

/**
 * Implements hook_default_rules_configuration().
 */
function commerce_registration_default_rules_configuration() {
  $rule1 = rules_import(
    '{ "commerce_registration_pending_upon_order_completion" : {
      "LABEL" : "Set Registrations to Pending upon Order Completion",
      "PLUGIN" : "reaction rule",
      "REQUIRES" : [ "commerce_registration", "commerce_checkout" ],
      "ON" : [ "commerce_checkout_complete" ],
      "DO" : [
        { "LOOP" : {
          "USING" : { "list" : [ "commerce-order:commerce-line-items" ] },
          "ITEM" : { "list_item" : "Current list item" },
          "DO" : [
            { "commerce_registration_set_state" : {
              "commerce_line_item" : [ "list-item" ],
              "registration_state" : { "value" : { "pending" : "pending" } }
            } }
          ]
        } }
      ]
    } }'
  );
  $rule2 = rules_import(
    '{ "commerce_registration_complete_upon_full_payment" : {
      "LABEL" : "Set Registrations to Complete upon Full Payment",
      "PLUGIN" : "reaction rule",
      "REQUIRES" : [ "commerce_registration", "commerce_payment" ],
      "ON" : [ "commerce_payment_order_paid_in_full" ],
      "DO" : [
        { "LOOP" : {
          "USING" : { "list" : [ "commerce-order:commerce-line-items" ] },
          "ITEM" : { "list_item" : "Current list item" },
          "DO" : [
            { "commerce_registration_set_state" : {
              "commerce_line_item" : [ "list-item" ],
              "registration_state" : { "value" : { "complete" : "complete" } }
            } }
          ]
        } }
      ]
    } }'
  );
  $rule3 = rules_import(
    '{ "commerce_registration_delete_regs_after_removing_product" : {
      "LABEL" : "Delete registrations on a line item after removing product",
      "PLUGIN" : "reaction rule",
      "REQUIRES" : [ "commerce_registration", "commerce_cart" ],
      "ON" : [ "commerce_cart_product_remove" ],
      "DO" : [
        { "commerce_registration_delete_registrations" : { "commerce_line_item" : [ "commerce_line_item" ] } }
      ]
    } }'
  );

  return array(
    'commerce_registration_pending_upon_order_completion' => $rule1,
    'commerce_registration_complete_upon_full_payment' => $rule2,
    'commerce_registration_delete_regs_after_removing_product' => $rule3,
  );
}
