<?php
/**
 * @file
 * Add token for Commerce Order to Registrations.
 */

/**
 * Implements hook_token_info().
 */
function commerce_registration_token_info() {
  $data['tokens']['registration']['commerce_line_item_id'] = array(
    'name' => t('Commerce Line Item ID'),
    'description' => t('The Commerce line item ID to which the registration belongs.'),
  );
  $data['tokens']['registration']['commerce_line_item'] = array(
    'name' => t('Commerce Line Item ID'),
    'description' => t('The Commerce line item to which the registration belongs.'),
    'type' => 'commerce-line-item',
  );
  return $data;
}

/**
 * Implements hook_tokens().
 */
function commerce_registration_tokens($type, $tokens, array $data = array(), array $options = array()) {
  $items = array();
  if (!isset($data['registration'])) {
    return array();
  }
  switch ($type) {
    case 'registration':
      $reg = $data['registration'];
      foreach ($tokens as $key => $token) {
        switch ($key) {
          case "commerce_line_item_id":
            $items[$token] = $reg->lineitem_id;
            break;
          case "commerce_line_item":
            $line_item = commerce_line_item_load($reg->lineitem_id);
            $items[$token] = $line_item;
            break;
        }
      }
      break;
    /*
     * @TODO: figure out best way to add registration token(s) to line items.
     *
    case 'commerce_line_item':
      $line_item = $data['commerce-line-item'];
      foreach ($tokens as $key => $token) {
        if ($key == 'registrations') {
          $wrapper = entity_metadata_wrapper('commerce_line_item', $line_item);
          $registrations = $wrapper->registrations->value();
          if (!is_array($registrations)) {
            $registrations = unserialize($registrations);
          }
          $items[$token] = $registrations;
        }
      }
      break;
    */
  }
  return $items;
}
