<?php
/**
 * @file
 * Views integration functions.
 */

/**
 * Implements hook_views_data_alter().
 */
function commerce_registration_views_data_alter(&$data) {
  $data['registration']['lineitem_id'] = array(
    'relationship' => array(
      'base' => 'commerce_line_item',
      'field' => 'lineitem_id',
      'handler' => 'views_handler_relationship',
      'label' => t('Commerce Line Item'),
    ),
    'title' => t('Commerce Line Item ID'),
    'help' => t('The Commerce Line Item ID Number.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
  );
  $data['registration']['registration_attached_entity'] = array(
    'real field' => 'entity_id',
    'field' => array(
      'title' => t("Attached Commerce Product"),
      'help' => t('The commerce product to which this registration is attached.'),
      'handler' => 'CommerceRegistrationHandlerFieldRegistrationEntity',
    ),
  );
}
